<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_image.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
<h1>vx_image.h</h1><a href="vx__image_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment"> * Copyright (c) 2012-2016 The Khronos Group Inc.</span>
<a name="l00003"></a>00003 <span class="comment"> *</span>
<a name="l00004"></a>00004 <span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a</span>
<a name="l00005"></a>00005 <span class="comment"> * copy of this software and/or associated documentation files (the</span>
<a name="l00006"></a>00006 <span class="comment"> * &quot;Materials&quot;), to deal in the Materials without restriction, including</span>
<a name="l00007"></a>00007 <span class="comment"> * without limitation the rights to use, copy, modify, merge, publish,</span>
<a name="l00008"></a>00008 <span class="comment"> * distribute, sublicense, and/or sell copies of the Materials, and to</span>
<a name="l00009"></a>00009 <span class="comment"> * permit persons to whom the Materials are furnished to do so, subject to</span>
<a name="l00010"></a>00010 <span class="comment"> * the following conditions:</span>
<a name="l00011"></a>00011 <span class="comment"> *</span>
<a name="l00012"></a>00012 <span class="comment"> * The above copyright notice and this permission notice shall be included</span>
<a name="l00013"></a>00013 <span class="comment"> * in all copies or substantial portions of the Materials.</span>
<a name="l00014"></a>00014 <span class="comment"> *</span>
<a name="l00015"></a>00015 <span class="comment"> * MODIFICATIONS TO THIS FILE MAY MEAN IT NO LONGER ACCURATELY REFLECTS</span>
<a name="l00016"></a>00016 <span class="comment"> * KHRONOS STANDARDS. THE UNMODIFIED, NORMATIVE VERSIONS OF KHRONOS</span>
<a name="l00017"></a>00017 <span class="comment"> * SPECIFICATIONS AND HEADER INFORMATION ARE LOCATED AT</span>
<a name="l00018"></a>00018 <span class="comment"> *    https://www.khronos.org/registry/</span>
<a name="l00019"></a>00019 <span class="comment"> *</span>
<a name="l00020"></a>00020 <span class="comment"> * THE MATERIALS ARE PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND,</span>
<a name="l00021"></a>00021 <span class="comment"> * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF</span>
<a name="l00022"></a>00022 <span class="comment"> * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.</span>
<a name="l00023"></a>00023 <span class="comment"> * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY</span>
<a name="l00024"></a>00024 <span class="comment"> * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,</span>
<a name="l00025"></a>00025 <span class="comment"> * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE</span>
<a name="l00026"></a>00026 <span class="comment"> * MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.</span>
<a name="l00027"></a>00027 <span class="comment"> */</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="preprocessor">#ifndef VX_IMAGE_H_</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span><span class="preprocessor">#define VX_IMAGE_H_</span>
<a name="l00033"></a>00033 <span class="preprocessor"></span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00036"></a>00036 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {
<a name="l00037"></a>00037 <span class="preprocessor">#endif</span>
<a name="l00038"></a>00038 <span class="preprocessor"></span>
<a name="l00051"></a><a class="code" href="group__group__vx__image__cfg.html#gabc882a238706fb219028758eebe19daf">00051</a> <span class="preprocessor">#define TIVX_IMAGE_MAX_SUBIMAGES     (16u)</span>
<a name="l00052"></a>00052 <span class="preprocessor"></span>
<a name="l00058"></a><a class="code" href="group__group__vx__image__cfg.html#gaef582205a6921f7a3a4e8cddb5db47cb">00058</a> <span class="preprocessor">#define TIVX_IMAGE_MAX_MAPS     (16u)</span>
<a name="l00059"></a>00059 <span class="preprocessor"></span>
<a name="l00065"></a><a class="code" href="structtivx__image__map__info__t.html">00065</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>_tivx_image_map_info_t
<a name="l00066"></a>00066 {
<a name="l00068"></a><a class="code" href="structtivx__image__map__info__t.html#aa08494ec477c5acef58f7c99c5c404f0">00068</a>     uint8_t *map_addr;
<a name="l00070"></a><a class="code" href="structtivx__image__map__info__t.html#a1d5a67c881bd1291b58fadc3d4c19808">00070</a>     <a class="code" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324" title="A wrapper of size_t to keep the naming convention uniform.">vx_size</a>  map_size;
<a name="l00072"></a><a class="code" href="structtivx__image__map__info__t.html#a586ccbafe62d20aaa442f0242e8a4cd8">00072</a>     <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> usage;
<a name="l00073"></a>00073 } <a class="code" href="structtivx__image__map__info__t.html" title="Information about a image mapping.">tivx_image_map_info_t</a>;
<a name="l00074"></a>00074 
<a name="l00075"></a>00075 
<a name="l00076"></a>00076 
<a name="l00082"></a><a class="code" href="structtivx__image__t.html">00082</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>_vx_image
<a name="l00083"></a>00083 {
<a name="l00085"></a><a class="code" href="structtivx__image__t.html#a4e4404bf721fa9ee8128fa5c280a2a32">00085</a>     <a class="code" href="structtivx__reference__t.html" title="The most basic type in the OpenVX system. Any type that inherits from tivx_reference_t...">tivx_reference_t</a> base;
<a name="l00087"></a><a class="code" href="structtivx__image__t.html#aca587fb3abea2e75bb4247fe4432b746">00087</a>     <a class="code" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5" title="An opaque reference to an image.">vx_image</a>       parent;
<a name="l00089"></a><a class="code" href="structtivx__image__t.html#a23c4156a202fd4a563019a69f280f9b0">00089</a>     <a class="code" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5" title="An opaque reference to an image.">vx_image</a>       subimages[<a class="code" href="group__group__vx__image__cfg.html#gabc882a238706fb219028758eebe19daf" title="Max possible sub images from a image.">TIVX_IMAGE_MAX_SUBIMAGES</a>];
<a name="l00091"></a><a class="code" href="structtivx__image__t.html#a2f6ce351ec1a5f5f777e4128c2f70462">00091</a>     <a class="code" href="structtivx__image__map__info__t.html" title="Information about a image mapping.">tivx_image_map_info_t</a> maps[<a class="code" href="group__group__vx__image__cfg.html#gaef582205a6921f7a3a4e8cddb5db47cb" title="Max possible mapping via vxMapImagePatch supported.">TIVX_IMAGE_MAX_MAPS</a>];
<a name="l00093"></a><a class="code" href="structtivx__image__t.html#a5723b8f5dcd3bce020a438a75aca554e">00093</a>     uint32_t mem_offset[<a class="code" href="group__group__tivx__obj__desc__cfg.html#gad471d737678c451088d2904a41c53bc4" title="Max possible planes of data in an image.">TIVX_IMAGE_MAX_PLANES</a>];
<a name="l00095"></a><a class="code" href="structtivx__image__t.html#a5888822ce0316edc9c65b5d2e89dbac8">00095</a>     uint32_t channel_plane;
<a name="l00096"></a>00096 } <a class="code" href="structtivx__image__t.html" title="Image object internal state.">tivx_image_t</a>;
<a name="l00097"></a>00097 
<a name="l00098"></a>00098 
<a name="l00099"></a>00099 
<a name="l00107"></a>00107 <span class="keywordtype">void</span> <a class="code" href="group__group__vx__image.html#gab68727411ea99e2640bc5d9d25f7cc56" title="Print image patch addressing info.">ownPrintImageAddressing</a>(<span class="keyword">const</span> <a class="code" href="structvx__imagepatch__addressing__t.html" title="The addressing image patch structure is used by the Host only to address pixels in...">vx_imagepatch_addressing_t</a> *addr);
<a name="l00108"></a>00108 
<a name="l00116"></a>00116 <span class="keywordtype">void</span> <a class="code" href="group__group__vx__image.html#ga82769f15a146e1609fdaf2bae5416132" title="Print image info.">ownPrintImage</a>(<a class="code" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5" title="An opaque reference to an image.">vx_image</a> image);
<a name="l00117"></a>00117 
<a name="l00130"></a>00130 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="vx__image_8h.html#ad440b9aec9ec2c1c48a6fb8d7558a5fb" title="function to initialize virtual image&amp;#39;s parameters">ownInitVirtualImage</a>(
<a name="l00131"></a>00131     <a class="code" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5" title="An opaque reference to an image.">vx_image</a> img, <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> width, <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> height, <a class="code" href="vx__types_8h.html#a371968e3355d6f9e413d836ccc14d5b8" title="Used to hold a VX_DF_IMAGE code to describe the pixel format and color space.">vx_df_image</a> format);
<a name="l00132"></a>00132 
<a name="l00133"></a>00133 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00134"></a>00134 <span class="preprocessor"></span>}
<a name="l00135"></a>00135 <span class="preprocessor">#endif</span>
<a name="l00136"></a>00136 <span class="preprocessor"></span>
<a name="l00137"></a>00137 <span class="preprocessor">#endif</span>
</pre></div></div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
